HomeGuidesAPI Reference
API Reference

Merchant Details

Get Merchant Details by MerchantId, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Retrieve details of a specific merchant.


Endpoint

GET https://demo-api.edfapay.com/api/v1/merchant/{id}


Path Parameters

FieldTypeRequiredDescription
idUUIDYesMerchant ID

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
data.idUUIDMerchant ID
data.nameStringName
data.nameARStringArabic name
data.emailAddressStringEmail
data.registeredMobileNumberStringPhone
data.businessUnitIdUUIDBusiness unit
data.countryCodeStringCountry
data.cityIdIntegerCity
data.statusStringStatus
data.activeBooleanActive

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "Test Merchant",
    "nameAR": "تاجر",
    "emailAddress": "[email protected]",
    "registeredMobileNumber": "+966-500000000",
    "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "countryCode": "682",
    "cityId": 7,
    "status": "ACTIVE",
    "active": true
  }
}
Path Params
uuid
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*